Skip to main content
`Ctrl`+`K`

# HighLevelWCSWrapper

class astropy.wcs.wcsapi.HighLevelWCSWrapper(low_level_wcs)

  Bases: `HighLevelWCSMixin`

  Wrapper class that can take any `BaseLowLevelWCS` object and expose the high-level WCS API.

  Attributes Summary

  `array_shape` | See `array_shape`.
  `axis_correlation_matrix` | See `axis_correlation_matrix`.
  `low_level_wcs` | Returns a reference to the underlying low-level WCS object.
  `pixel_bounds` | See `pixel_bounds`.
  `pixel_n_dim` | See `world_n_dim`.
  `world_axis_physical_types` | See `world_axis_physical_types`.
  `world_axis_units` | See `world_axis_units`.
  `world_n_dim` | See `world_n_dim`.

  Methods Summary

  `array_index_to_world`(*index_arrays) | Convert array indices to world coordinates (represented by Astropy objects).
  `pixel_to_world`(*pixel_arrays) | Convert pixel coordinates to world coordinates (represented by high-level objects).
  `world_to_array_index`(*world_objects) | Convert world coordinates (represented by Astropy objects) to array indices.
  `world_to_pixel`(*world_objects) | Convert world coordinates (represented by Astropy objects) to pixel coordinates.

  Attributes Documentation

  array_shape

    See `array_shape`.

  axis_correlation_matrix

    See `axis_correlation_matrix`.

  low_level_wcs
  pixel_bounds

    See `pixel_bounds`.

  pixel_n_dim

    See `world_n_dim`.

  world_axis_physical_types

    See `world_axis_physical_types`.

  world_axis_units

    See `world_axis_units`.

  world_n_dim

    See `world_n_dim`.

  Methods Documentation

  array_index_to_world(*index_arrays)

    Convert array indices to world coordinates (represented by Astropy objects).

    If a single high-level object is used to represent the world coordinates (i.e., if `len(wcs.world_axis_object_classes) == 1`), it is returned as-is (not in a tuple/list), otherwise a tuple of high-level objects is returned. See `array_index_to_world_values` for pixel indexing and ordering conventions.

  pixel_to_world(*pixel_arrays)

    Convert pixel coordinates to world coordinates (represented by high-level objects).

    If a single high-level object is used to represent the world coordinates (i.e., if `len(wcs.world_axis_object_classes) == 1`), it is returned as-is (not in a tuple/list), otherwise a tuple of high-level objects is returned. See `pixel_to_world_values` for pixel indexing and ordering conventions.

  world_to_array_index(*world_objects)

    Convert world coordinates (represented by Astropy objects) to array indices.

    If `pixel_n_dim` is `1`, this method returns a single scalar or array, otherwise a tuple of scalars or arrays is returned. See `world_to_array_index_values` for pixel indexing and ordering conventions. The indices should be returned as rounded integers.

  world_to_pixel(*world_objects)

    Convert world coordinates (represented by Astropy objects) to pixel coordinates.

    If `pixel_n_dim` is `1`, this method returns a single scalar or array, otherwise a tuple of scalars or arrays is returned. See `world_to_pixel_values` for pixel indexing and ordering conventions.